aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRichard Weickelt <richard@weickelt.de>2019-08-07 22:10:14 +0200
committerRichard Weickelt <richard@weickelt.de>2019-08-12 12:45:27 +0000
commit7f41e3ac8ad347106dbeb233ea55deb3020d3342 (patch)
tree2b7688331c697b1af553ea31765c11cfa628b9ce
parent3fc363fd8755c18970f6c7c776acf5f2cb69150d (diff)
Prevent from 10min timeout on Travis due to long-running testcases
TestBlackbox runs for more than 10 minutes in the Windows environment on Travis and since recently also on Mac OS. This might trigger a non-configurable 10 minutes timeout due to no output generated by Qbs. The official workaround is travis_wait. But it is flawed, because it accumulates all output before it prints something, thus making it impossible to watch the output of a running build. This problem is often not noticed because other tests may run in parallel and produce output. This patch adds a background process which outputs an empty line every 9:50 minutes while running autotests. Change-Id: I0ac5d0f581aabbc0d8641a13e7d207dc84902b95 Reviewed-by: Christian Kandeler <christian.kandeler@qt.io>
-rwxr-xr-xscripts/build-qbs-with-qbs.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/scripts/build-qbs-with-qbs.sh b/scripts/build-qbs-with-qbs.sh
index 503f3fbff..6b6f6d2a9 100755
--- a/scripts/build-qbs-with-qbs.sh
+++ b/scripts/build-qbs-with-qbs.sh
@@ -106,6 +106,10 @@ if [ -z "${QBS_AUTOTEST_PROFILE}" ]; then
fi
#
-# Run all autotests with QBS_AUTOTEST_PROFILE
+# Run all autotests with QBS_AUTOTEST_PROFILE. Some test cases might run for
+# over 10 minutes. Output an empty line every 9:50 minutes to prevent a 10min
+# timeout on Travis CI.
#
+(while true; do echo "" && sleep 590; done) &
+trap "kill $!" EXIT
qbs build -p "autotest-runner" ${BUILD_OPTIONS}